Gusty upgrade to Hardy cant find liblaunchpad-integration0_0.1.16_amd64.deb

Bug #224069 reported by Thomas Stuart on 2008-04-29
2
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Undecided
Unassigned

Bug Description

Ubuntu 7.10 - the Gutsy Gibbon AMD64

When running the distribution upgrade:
 - Using Update Manager
 - New distribution release '8.04 LTS' is available - Click Upgrade
 - Hardy upgrade page - Click on Upgrade button
 - Upgrade runs, notification that Third party sources disabled - Click Close
 - Setting new software channels fetches 80/80 files
 - Pop-up "Do you want to start an upgrade?" - click Start Upgrade
 - Getting new packages - gets 1108/1109
 - Error pop-up "Could not download the upgrades"

Failed to fetch ftp://ftp.mirrorservice.org/sites/archive.ubuntu.com/ubuntu/pool/main/l/launchpad-integration/liblaunchpad-integration0_0.1.16_amd64.deb Unable to fetch file, server said ‘Can't read from /sites/archive.ubuntu.com/ubuntu/pool/main/l/launchpad-integration/liblaunchpad-integration0_0.1.16_amd64.deb: No such file or directory ’

ringostar (slehembre) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage . I have classified this bug as a bug in update-manager.

Michael Vogt (mvo) wrote :

Thanks for your bugreport.

This sounds like a transient network problem. Could you please try to run the upgrade again?

Changed in update-manager:
status: New → Incomplete

Hi Michael,

Thanks to you (and ringostar) for the quick response.

I'm afraid that re-running the upgrade still has the same problem - as of Tuesday 29 April 9:52pm (BST). What is very strange to me is that searching for the package on Google gets a few pages of hits, but these are all off the listings, and actually visiting the folder shows that the latest version of this package is only 0_0.1.15. (See e.g. http://www.gtlib.gatech.edu/pub/ubuntu/pool/main/l/launchpad-integration/)

Could it be that I somehow am looking for the wrong version of this package?

Thanks for your help - I'm looking forward to running the latest Ubuntu!

Thomas

Michael Vogt (mvo) wrote :

It looks like there is something wrong with the gtlib.gatech.edu if you compare

http://archive.ubuntu.com/ubuntu/pool/main/l/launchpad-integration/

to the one on gtlib it looks like there are some files missing. Contacting the server administrators is probably the best course of action.

Thanks,
 Michael

Thomas Stuart (thomas-stuart) wrote :

Michael,

I have visited the link (http://archive.ubuntu.com/ubuntu/pool/main/l/launchpad-integration/) but was still unable to find the file liblaunchpad-integration0_0.1.16_amd64.deb.

The directory listing reads:

[ ] liblaunchpad-integration0_0.1.13_powerpc.deb 13-Apr-2007 15:03 16K
[ ] liblaunchpad-integration0_0.1.13_sparc.deb 13-Apr-2007 16:04 13K
[ ] liblaunchpad-integration0_0.1.15_amd64.deb 03-Oct-2007 23:03 17K
[ ] liblaunchpad-integration0_0.1.15_i386.deb 03-Oct-2007 22:03 17K
[ ] liblaunchpad-integration0_0.1.15_powerpc.deb 03-Oct-2007 22:04 19K
[ ] liblaunchpad-integration0_0.1.15_sparc.deb 03-Oct-2007 23:03 17K <--- I can't see v0_01.15_amd64
[ ] liblaunchpad-integration1_0.1.19_amd64.deb 08-Apr-2008 13:04 18K
[ ] liblaunchpad-integration1_0.1.19_i386.deb 08-Apr-2008 15:26 17K
[ ] liblpint-bonobo-dev_0.1.3_amd64.deb 22-May-2006 17:09 6.6K
[ ] liblpint-bonobo-dev_0.1.3_i386.deb 22-May-2006 19:08 6.3K
[ ] liblpint-bonobo-dev_0.1.3_powerpc.deb 22-May-2006 17:09 6.7K

As I mentioned in the previous post, searching for the file on Google has not lead to any site where this file is available.

Regards,
Thomas

Thomas Stuart (thomas-stuart) wrote :

Hi Michael,

I found a copy of 0_0.1.16 on a site, and installed it directly. I realise this is a security risk, but it did enable me to update my system to Hardy. I'm happily using it now, thanks very much for your help on this issue.

Regards,
Thomas

Jean-Baptiste Lallement (jibel) wrote :

Thanks for following up. I'm closing this report due to your last comment. Don't hesitate to submit any new bug.

Changed in update-manager:
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers